package controllers

import (
	"github.com/astaxie/beego"
)

type IndexController struct {
	BaseController
}

// / [get]
func (this *IndexController) Index() {
	this.SetTpl("new_main/index.html")
}

// /scrm [get]
func (this *IndexController) SCRMIndex() {
	this.Data["module_url"] = beego.AppConfig.String("submodule_domain_patient_manage")
	this.SetTpl("new_main/scrm_index.html")
}

// /mmall [get]
func (this *IndexController) MircoMallIndex() {
	this.Data["module_url"] = beego.AppConfig.String("submodule_domain_mall_manage")
	this.SetTpl("new_main/mircomall_index.html")
}

// /xt [get]
func (this *IndexController) XTIndex() {
	this.Data["module_url"] = beego.AppConfig.String("submodule_domain_dialysis_manage")
	this.SetTpl("new_main/xt_index.html")
}

// /cdm [get]
func (this *IndexController) CDMIndex() {
	this.Data["module_url"] = beego.AppConfig.String("submodule_domain_cdm_manage")
	this.SetTpl("new_main/cdm_index.html")
}
